'
' Subroutine to boostrap estimates
'
subroutine bootff
'
' Step 2: Draw a bootstrap sample from the residuals
'
smpl if (sample=1)and(bday>1.5)
ress1.resample bress1
smpl if (sample=2)
ress2.resample bress2
smpl if (sample=3)
ress3.resample bress3
smpl if (sample=4)
ress4.resample bress4
smpl if (sample=5)
ress5.resample bress5
smpl if (sample=6)and(bday>1.5)
ress6.resample bress6
smpl if (sample=7)
ress7.resample bress7
smpl if (sample=8)
ress8.resample bress8
smpl if (sample=9)
ress9.resample bress9
smpl if (sample=10)
ress10.resample bress10
smpl if (sample=11)and(bday>1.5)
ress11.resample bress11
smpl if (sample=12)
ress12.resample bress12
smpl if (sample=13)
ress13.resample bress13
smpl if (sample=14)
ress14.resample bress14
smpl if (sample=15)
ress15.resample bress15
smpl if (sample=16)and(bday>1.5)
ress16.resample bress16
smpl if (sample=17)
ress17.resample bress17
smpl if (sample=18)
ress18.resample bress18
smpl if (sample=19)
ress19.resample bress19
smpl if (sample=20)
ress20.resample bress20
smpl if (sample=21)and(bday>1.5)
ress21.resample bress21
smpl if (sample=22)
ress22.resample bress22
smpl if (sample=23)
ress23.resample bress23
smpl if (sample=24)
ress24.resample bress24
smpl if (sample=25)
ress25.resample bress25
smpl @all
'
' Step 3: Create pseudo-data
'
smpl if (sample=1)and(bday>1.5)
genr blhs1=lhsfit1+bress1
smpl if (sample=2)
genr blhs2=lhsfit2+bress2
smpl if (sample=3)
genr blhs3=lhsfit3+bress3
smpl if (sample=4)
genr blhs4=lhsfit4+bress4
smpl if (sample=5)
genr blhs5=lhsfit5+bress5
smpl if (sample=6)and(bday>1.5)
genr blhs6=lhsfit6+bress6
smpl if (sample=7)
genr blhs7=lhsfit7+bress7
smpl if (sample=8)
genr blhs8=lhsfit8+bress8
smpl if (sample=9)
genr blhs9=lhsfit9+bress9
smpl if (sample=10)
genr blhs10=lhsfit10+bress10
smpl if (sample=11)and(bday>1.5)
genr blhs11=lhsfit11+bress11
smpl if (sample=12)
genr blhs12=lhsfit12+bress12
smpl if (sample=13)
genr blhs13=lhsfit13+bress13
smpl if (sample=14)
genr blhs14=lhsfit14+bress14
smpl if (sample=15)
genr blhs15=lhsfit15+bress15
smpl if (sample=16)and(bday>1.5)
genr blhs16=lhsfit16+bress16
smpl if (sample=17)
genr blhs17=lhsfit17+bress17
smpl if (sample=18)
genr blhs18=lhsfit18+bress18
smpl if (sample=19)
genr blhs19=lhsfit19+bress19
smpl if (sample=20)
genr blhs20=lhsfit20+bress20
smpl if (sample=21)and(bday>1.5)
genr blhs21=lhsfit21+bress21
smpl if (sample=22)
genr blhs22=lhsfit22+bress22
smpl if (sample=23)
genr blhs23=lhsfit23+bress23
smpl if (sample=24)
genr blhs24=lhsfit24+bress24
smpl if (sample=25)
genr blhs25=lhsfit25+bress25
smpl @all
'
' Step 4: Estimate the model on the pseudo-data and keep the log-likelihoods
'
' The sample is 1
'
smpl if ((sample=1)and(bday>1.5))and((portn>0.5)and(portn<10.5))
c=0
equation e11st.ls blhs1=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhs)
scalar junk=e11st.@logl
results(!i+2,1)=junk
delete junk
smpl if ((sample=1)and(bday>1.5))and((portn>10.5)and(portn<20.5))
c=0
equation e12nd.ls blhs1=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e12nd.@logl
results(!i+2,2)=junk
delete junk
smpl if ((sample=1)and(bday>1.5))
c=0
equation e1all.ls blhs1=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e1all.@logl
results(!i+2,3)=junk
delete junk
'
' The sample is 2
'
smpl if (sample=2)and((portn>0.5)and(portn<10.5))
c=0
equation e21st.ls blhs2=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhs)
scalar junk=e21st.@logl
results(!i+2,4)=junk
delete junk
smpl if (sample=2)and((portn>10.5)and(portn<20.5))
c=0
equation e22nd.ls blhs2=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e22nd.@logl
results(!i+2,5)=junk
delete junk
smpl if (sample=2)
c=0
equation e2all.ls blhs2=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e2all.@logl
results(!i+2,6)=junk
delete junk
'
' The sample is 3
'
smpl if (sample=3)and((portn>0.5)and(portn<10.5))
c=0
equation e31st.ls blhs3=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhs)
scalar junk=e31st.@logl
results(!i+2,7)=junk
delete junk
smpl if (sample=3)and((portn>10.5)and(portn<20.5))
c=0
equation e32nd.ls blhs3=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e32nd.@logl
results(!i+2,8)=junk
delete junk
smpl if (sample=3)
c=0
equation e3all.ls blhs3=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e3all.@logl
results(!i+2,9)=junk
delete junk
'
' The sample is 4
'
smpl if (sample=4)and((portn>0.5)and(portn<10.5))
c=0
equation e41st.ls blhs4=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhs)
scalar junk=e41st.@logl
results(!i+2,10)=junk
delete junk
smpl if (sample=4)and((portn>10.5)and(portn<20.5))
c=0
equation e42nd.ls blhs4=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e42nd.@logl
results(!i+2,11)=junk
delete junk
smpl if (sample=4)
c=0
equation e4all.ls blhs4=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e4all.@logl
results(!i+2,12)=junk
delete junk
'
' The sample is 5
'
smpl if ((sample=5)and(bday<20.5))and((portn>0.5)and(portn<10.5))
c=0
equation e51st.ls blhs5=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhs)
scalar junk=e51st.@logl
results(!i+2,13)=junk
delete junk
smpl if ((sample=5)and(bday<20.5))and((portn>10.5)and(portn<20.5))
c=0
equation e52nd.ls blhs5=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e52nd.@logl
results(!i+2,14)=junk
delete junk
smpl if ((sample=5)and(bday<20.5))
c=0
equation e5all.ls blhs5=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e5all.@logl
results(!i+2,15)=junk
delete junk
'
' The sample is 6
'
smpl if ((sample=6)and(bday>1.5))and((portn>0.5)and(portn<10.5))
c=0
equation e61st.ls blhs6=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhs)
scalar junk=e61st.@logl
results(!i+2,16)=junk
delete junk
smpl if ((sample=6)and(bday>1.5))and((portn>10.5)and(portn<20.5))
c=0
equation e62nd.ls blhs6=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e62nd.@logl
results(!i+2,17)=junk
delete junk
smpl if ((sample=6)and(bday>1.5))
c=0
equation e6all.ls blhs6=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e6all.@logl
results(!i+2,18)=junk
delete junk
'
' The sample is 7
'
smpl if (sample=7)and((portn>0.5)and(portn<10.5))
c=0
equation e71st.ls blhs7=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhs)
scalar junk=e71st.@logl
results(!i+2,19)=junk
delete junk
smpl if (sample=7)and((portn>10.5)and(portn<20.5))
c=0
equation e72nd.ls blhs7=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e72nd.@logl
results(!i+2,20)=junk
delete junk
smpl if (sample=7)
c=0
equation e7all.ls blhs7=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e7all.@logl
results(!i+2,21)=junk
delete junk
'
' The sample is 8
'
smpl if (sample=8)and((portn>0.5)and(portn<10.5))
c=0
equation e81st.ls blhs8=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhs)
scalar junk=e81st.@logl
results(!i+2,22)=junk
delete junk
smpl if (sample=8)and((portn>10.5)and(portn<20.5))
c=0
equation e82nd.ls blhs8=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e82nd.@logl
results(!i+2,23)=junk
delete junk
smpl if (sample=8)
c=0
equation e8all.ls blhs8=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e8all.@logl
results(!i+2,24)=junk
delete junk
'
' The sample is 9
'
smpl if (sample=9)and((portn>0.5)and(portn<10.5))
c=0
equation e91st.ls blhs9=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhs)
scalar junk=e91st.@logl
results(!i+2,25)=junk
delete junk
smpl if (sample=9)and((portn>10.5)and(portn<20.5))
c=0
equation e92nd.ls blhs9=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e92nd.@logl
results(!i+2,26)=junk
delete junk
smpl if (sample=9)
c=0
equation e9all.ls blhs9=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e9all.@logl
results(!i+2,27)=junk
delete junk
'
' The sample is 10
'
smpl if ((sample=10)and(bday<21.5))and((portn>0.5)and(portn<10.5))
c=0
equation e101st.ls blhs10=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhs)
scalar junk=e101st.@logl
results(!i+2,28)=junk
delete junk
smpl if ((sample=10)and(bday<21.5))and((portn>10.5)and(portn<20.5))
c=0
equation e102nd.ls blhs10=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e102nd.@logl
results(!i+2,29)=junk
delete junk
smpl if ((sample=10)and(bday<21.5))
c=0
equation e10all.ls blhs10=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e10all.@logl
results(!i+2,30)=junk
delete junk
'
' The sample is 11
'
smpl if ((sample=11)and(bday>1.5))and((portn>0.5)and(portn<10.5))
c=0
equation e111st.ls blhs11=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhs)
scalar junk=e111st.@logl
results(!i+2,31)=junk
delete junk
smpl if ((sample=11)and(bday>1.5))and((portn>10.5)and(portn<20.5))
c=0
equation e112nd.ls blhs11=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e112nd.@logl
results(!i+2,32)=junk
delete junk
smpl if ((sample=11)and(bday>1.5))
c=0
equation e11all.ls blhs11=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e11all.@logl
results(!i+2,33)=junk
delete junk
'
' The sample is 12
'
smpl if (sample=12)and((portn>0.5)and(portn<10.5))
c=0
equation e121st.ls blhs12=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhs)
scalar junk=e121st.@logl
results(!i+2,34)=junk
delete junk
smpl if (sample=12)and((portn>10.5)and(portn<20.5))
c=0
equation e122nd.ls blhs12=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e122nd.@logl
results(!i+2,35)=junk
delete junk
smpl if (sample=12)
c=0
equation e12all.ls blhs12=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e12all.@logl
results(!i+2,36)=junk
delete junk
'
' The sample is 13
'
smpl if (sample=13)and((portn>0.5)and(portn<10.5))
c=0
equation e131st.ls blhs13=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhs)
scalar junk=e131st.@logl
results(!i+2,37)=junk
delete junk
smpl if (sample=13)and((portn>10.5)and(portn<20.5))
c=0
equation e132nd.ls blhs13=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e132nd.@logl
results(!i+2,38)=junk
delete junk
smpl if (sample=13)
c=0
equation e13all.ls blhs13=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e13all.@logl
results(!i+2,39)=junk
delete junk
'
' The sample is 14
'
smpl if (sample=14)and((portn>0.5)and(portn<10.5))
c=0
equation e141st.ls blhs14=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhs)
scalar junk=e141st.@logl
results(!i+2,40)=junk
delete junk
smpl if (sample=14)and((portn>10.5)and(portn<20.5))
c=0
equation e142nd.ls blhs14=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e142nd.@logl
results(!i+2,41)=junk
delete junk
smpl if (sample=14)
c=0
equation e14all.ls blhs14=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e14all.@logl
results(!i+2,42)=junk
delete junk
'
' The sample is 15
'
smpl if ((sample=15)and(bday<22.5))and((portn>0.5)and(portn<10.5))
c=0
equation e151st.ls blhs15=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhs)
scalar junk=e151st.@logl
results(!i+2,43)=junk
delete junk
smpl if ((sample=15)and(bday<22.5))and((portn>10.5)and(portn<20.5))
c=0
equation e152nd.ls blhs15=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e152nd.@logl
results(!i+2,44)=junk
delete junk
smpl if ((sample=15)and(bday<22.5))
c=0
equation e15all.ls blhs15=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e15all.@logl
results(!i+2,45)=junk
delete junk
'
' The sample is 16
'
smpl if ((sample=16)and(bday>1.5))and((portn>0.5)and(portn<10.5))
c=0
equation e161st.ls blhs16=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhs)
scalar junk=e161st.@logl
results(!i+2,46)=junk
delete junk
smpl if ((sample=16)and(bday>1.5))and((portn>10.5)and(portn<20.5))
c=0
equation e162nd.ls blhs16=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e162nd.@logl
results(!i+2,47)=junk
delete junk
smpl if ((sample=16)and(bday>1.5))
c=0
equation e16all.ls blhs16=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e16all.@logl
results(!i+2,48)=junk
delete junk
'
' The sample is 17
'
smpl if (sample=17)and((portn>0.5)and(portn<10.5))
c=0
equation e171st.ls blhs17=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhs)
scalar junk=e171st.@logl
results(!i+2,49)=junk
delete junk
smpl if (sample=17)and((portn>10.5)and(portn<20.5))
c=0
equation e172nd.ls blhs17=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e172nd.@logl
results(!i+2,50)=junk
delete junk
smpl if (sample=17)
c=0
equation e17all.ls blhs17=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e17all.@logl
results(!i+2,51)=junk
delete junk
'
' The sample is 18
'
smpl if (sample=18)and((portn>0.5)and(portn<10.5))
c=0
equation e181st.ls blhs18=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhs)
scalar junk=e181st.@logl
results(!i+2,52)=junk
delete junk
smpl if (sample=18)and((portn>10.5)and(portn<20.5))
c=0
equation e182nd.ls blhs18=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e182nd.@logl
results(!i+2,53)=junk
delete junk
smpl if (sample=18)
c=0
equation e18all.ls blhs18=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e18all.@logl
results(!i+2,54)=junk
delete junk
'
' The sample is 19
'
smpl if (sample=19)and((portn>0.5)and(portn<10.5))
c=0
equation e191st.ls blhs19=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhs)
scalar junk=e191st.@logl
results(!i+2,55)=junk
delete junk
smpl if (sample=19)and((portn>10.5)and(portn<20.5))
c=0
equation e192nd.ls blhs19=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e192nd.@logl
results(!i+2,56)=junk
delete junk
smpl if (sample=19)
c=0
equation e19all.ls blhs19=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e19all.@logl
results(!i+2,57)=junk
delete junk
'
' The sample is 20
'
smpl if ((sample=20)and(bday<22.5))and((portn>0.5)and(portn<10.5))
c=0
equation e201st.ls blhs20=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhs)
scalar junk=e201st.@logl
results(!i+2,58)=junk
delete junk
smpl if ((sample=20)and(bday<22.5))and((portn>10.5)and(portn<20.5))
c=0
equation e202nd.ls blhs20=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e202nd.@logl
results(!i+2,59)=junk
delete junk
smpl if ((sample=20)and(bday<22.5))
c=0
equation e20all.ls blhs20=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e20all.@logl
results(!i+2,60)=junk
delete junk
'
' The sample is 21
'
smpl if ((sample=21)and(bday>1.5))and((portn>0.5)and(portn<10.5))
c=0
equation e211st.ls blhs21=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhs)
scalar junk=e211st.@logl
results(!i+2,61)=junk
delete junk
smpl if ((sample=21)and(bday>1.5))and((portn>10.5)and(portn<20.5))
c=0
equation e212nd.ls blhs21=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e212nd.@logl
results(!i+2,62)=junk
delete junk
smpl if ((sample=21)and(bday>1.5))
c=0
equation e21all.ls blhs21=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e21all.@logl
results(!i+2,63)=junk
delete junk
'
' The sample is 22
'
smpl if (sample=22)and((portn>0.5)and(portn<10.5))
c=0
equation e221st.ls blhs22=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhs)
scalar junk=e221st.@logl
results(!i+2,64)=junk
delete junk
smpl if (sample=22)and((portn>10.5)and(portn<20.5))
c=0
equation e222nd.ls blhs22=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e222nd.@logl
results(!i+2,65)=junk
delete junk
smpl if (sample=22)
c=0
equation e22all.ls blhs22=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e22all.@logl
results(!i+2,66)=junk
delete junk
'
' The sample is 23
'
smpl if (sample=23)and((portn>0.5)and(portn<10.5))
c=0
equation e231st.ls blhs23=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhs)
scalar junk=e231st.@logl
results(!i+2,67)=junk
delete junk
smpl if (sample=23)and((portn>10.5)and(portn<20.5))
c=0
equation e232nd.ls blhs23=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e232nd.@logl
results(!i+2,68)=junk
delete junk
smpl if (sample=23)
c=0
equation e23all.ls blhs23=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e23all.@logl
results(!i+2,69)=junk
delete junk
'
' The sample is 24
'
smpl if (sample=24)and((portn>0.5)and(portn<10.5))
c=0
equation e241st.ls blhs24=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhs)
scalar junk=e241st.@logl
results(!i+2,70)=junk
delete junk
smpl if (sample=24)and((portn>10.5)and(portn<20.5))
c=0
equation e242nd.ls blhs24=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e242nd.@logl
results(!i+2,71)=junk
delete junk
smpl if (sample=24)
c=0
equation e24all.ls blhs24=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e24all.@logl
results(!i+2,72)=junk
delete junk
'
' The sample is 25
'
smpl if ((sample=25)and(bday<21.5))and((portn>0.5)and(portn<10.5))
c=0
equation e251st.ls blhs25=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhs)
scalar junk=e251st.@logl
results(!i+2,73)=junk
delete junk
smpl if ((sample=25)and(bday<21.5))and((portn>10.5)and(portn<20.5))
c=0
equation e252nd.ls blhs25=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e252nd.@logl
results(!i+2,74)=junk
delete junk
smpl if ((sample=25)and(bday<21.5))
c=0
equation e25all.ls blhs25=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e25all.@logl
results(!i+2,75)=junk
delete junk
'
' Delete bootstrap sample
'
delete bress1 blhs1
delete bress2 blhs2
delete bress3 blhs3
delete bress4 blhs4
delete bress5 blhs5
delete bress6 blhs6
delete bress7 blhs7
delete bress8 blhs8
delete bress9 blhs9
delete bress10 blhs10
delete bress11 blhs11
delete bress12 blhs12
delete bress13 blhs13
delete bress14 blhs14
delete bress15 blhs15
delete bress16 blhs16
delete bress17 blhs17
delete bress18 blhs18
delete bress19 blhs19
delete bress20 blhs20
delete bress21 blhs21
delete bress22 blhs22
delete bress23 blhs23
delete bress24 blhs24
delete bress25 blhs25

endsub

'
' The "real" program
'
' This EViews program bootstraps the asset market integration tests of p1b.
'
' Twenty industry-based portfolios of 18 stocks each are used.
'
' The tests are conducted for 25 samples: 5 years x 5 years.
'
' Each portfolio has one intercept
'
' Load the data set
'
load \res\stockreg\japan\data2a1
'
' Create the time dummies
'
genr t01=(bday=1)
genr t02=(bday=2)
genr t03=(bday=3)
genr t04=(bday=4)
genr t05=(bday=5)
genr t06=(bday=6)
genr t07=(bday=7)
genr t08=(bday=8)
genr t09=(bday=9)
genr t10=(bday=10)
genr t11=(bday=11)
genr t12=(bday=12)
genr t13=(bday=13)
genr t14=(bday=14)
genr t15=(bday=15)
genr t16=(bday=16)
genr t17=(bday=17)
genr t18=(bday=18)
genr t19=(bday=19)
genr t20=(bday=20)
genr t21=(bday=21)
genr t22=(bday=22)
genr t23=(bday=23)
'
' Create the regressand and regressor
'
sort portn date
smpl if (portn(+1)=portn(-1))and(year(+1)=year(-1))
genr lhs=pori(+1)/pori(-1)
genr rhs=pori/pori(-1)
smpl @all
'
' Create the portfolio-specific variables: intercepts
'
genr f01=(portn=01)
genr f02=(portn=02)
genr f03=(portn=03)
genr f04=(portn=04)
genr f05=(portn=05)
genr f06=(portn=06)
genr f07=(portn=07)
genr f08=(portn=08)
genr f09=(portn=09)
genr f10=(portn=10)
genr f11=(portn=11)
genr f12=(portn=12)
genr f13=(portn=13)
genr f14=(portn=14)
genr f15=(portn=15)
genr f16=(portn=16)
genr f17=(portn=17)
genr f18=(portn=18)
genr f19=(portn=19)
genr f20=(portn=20)
'
' Set up a table for results
'
table(402,75) results
setcell(results,1,1, "Log Likelihoods from p2b1 (Industry)")
results(2,1) = "4/98: 1st"
results(2,2) = "4/98: 2nd"
results(2,3) = "4/98: bth"
results(2,4) = "5/98: 1st"
results(2,5) = "5/98: 2nd"
results(2,6) = "5/98: bth"
results(2,7) = "6/98: 1st"
results(2,8) = "6/98: 2nd"
results(2,9) = "6/98: bth"
results(2,10) = "7/98: 1st"
results(2,11) = "7/98: 2nd"
results(2,12) = "7/98: bth"
results(2,13) = "8/98: 1st"
results(2,14) = "8/98: 2nd"
results(2,15) = "8/98: bth"
results(2,16) = "4/99: 1st"
results(2,17) = "4/99: 2nd"
results(2,18) = "4/99: bth"
results(2,19) = "5/99: 1st"
results(2,20) = "5/99: 2nd"
results(2,21) = "5/99: bth"
results(2,22) = "6/99: 1st"
results(2,23) = "6/99: 2nd"
results(2,24) = "6/99: bth"
results(2,25) = "7/99: 1st"
results(2,26) = "7/99: 2nd"
results(2,27) = "7/99: bth"
results(2,28) = "8/99: 1st"
results(2,29) = "8/99: 2nd"
results(2,30) = "8/99: bth"
results(2,31) = "4/00: 1st"
results(2,32) = "4/00: 2nd"
results(2,33) = "4/00: bth"
results(2,34) = "5/00: 1st"
results(2,35) = "5/00: 2nd"
results(2,36) = "5/00: bth"
results(2,37) = "6/00: 1st"
results(2,38) = "6/00: 2nd"
results(2,39) = "6/00: bth"
results(2,40) = "7/00: 1st"
results(2,41) = "7/00: 2nd"
results(2,42) = "7/00: bth"
results(2,43) = "8/00: 1st"
results(2,44) = "8/00: 2nd"
results(2,45) = "8/00: bth"
results(2,46) = "4/01: 1st"
results(2,47) = "4/01: 2nd"
results(2,48) = "4/01: bth"
results(2,49) = "5/01: 1st"
results(2,50) = "5/01: 2nd"
results(2,51) = "5/01: bth"
results(2,52) = "6/01: 1st"
results(2,53) = "6/01: 2nd"
results(2,54) = "6/01: bth"
results(2,55) = "7/01: 1st"
results(2,56) = "7/01: 2nd"
results(2,57) = "7/01: bth"
results(2,58) = "8/01: 1st"
results(2,59) = "8/01: 2nd"
results(2,60) = "8/01: bth"
results(2,61) = "4/02: 1st"
results(2,62) = "4/02: 2nd"
results(2,63) = "4/02: bth"
results(2,64) = "5/02: 1st"
results(2,65) = "5/02: 2nd"
results(2,66) = "5/02: bth"
results(2,67) = "6/02: 1st"
results(2,68) = "6/02: 2nd"
results(2,69) = "6/02: bth"
results(2,70) = "7/02: 1st"
results(2,71) = "7/02: 2nd"
results(2,72) = "7/02: bth"
results(2,73) = "8/02: 1st"
results(2,74) = "8/02: 2nd"
results(2,75) = "8/02: bth"
'
' Run the regressions to generate fits and residuals
'
' The year is 1998 and the month is 4
'
' Note that we lose 1 observation (first of year)
'
smpl if (year=1998)and(month=4)
c=0
equation ebth.ls lhs=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
' Generate the residuals
ebth.makeresid ress1
' Generate the fitted values
ebth.fit lhsfit1
'
' The year is 1998 and the month is 5
'
smpl if (year=1998)and(month=5)
c=0
equation ebth.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
' Generate the residuals
ebth.makeresid ress2
' Generate the fitted values
ebth.fit lhsfit2
'
' The year is 1998 and the month is 6
'
smpl if (year=1998)and(month=6)
c=0
equation ebth.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
' Generate the residuals
ebth.makeresid ress3
' Generate the fitted values
ebth.fit lhsfit3
'
' The year is 1998 and the month is 7
'
smpl if (year=1998)and(month=7)
c=0
equation ebth.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
' Generate the residuals
ebth.makeresid ress4
' Generate the fitted values
ebth.fit lhsfit4
'
' The year is 1998 and the month is 8
'
' Note that we lose 1 observation (last of year)
'
smpl if (year=1998)and(month=8)and(bday<20.5)
c=0
equation ebth.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
' Generate the residuals
ebth.makeresid ress5
' Generate the fitted values
ebth.fit lhsfit5
'
' The year is 1999 and the month is 4
'
' Note that we lose 1 observation (first of year)
'
smpl if (year=1999)and(month=4)
c=0
equation ebth.ls lhs=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
' Generate the residuals
ebth.makeresid ress6
' Generate the fitted values
ebth.fit lhsfit6
'
' The year is 1999 and the month is 5
'
smpl if (year=1999)and(month=5)
c=0
equation ebth.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
' Generate the residuals
ebth.makeresid ress7
' Generate the fitted values
ebth.fit lhsfit7
'
' The year is 1999 and the month is 6
'
smpl if (year=1999)and(month=6)
c=0
equation ebth.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
' Generate the residuals
ebth.makeresid ress8
' Generate the fitted values
ebth.fit lhsfit8
'
' The year is 1999 and the month is 7
'
smpl if (year=1999)and(month=7)
c=0
equation ebth.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
' Generate the residuals
ebth.makeresid ress9
' Generate the fitted values
ebth.fit lhsfit9
'
' The year is 1999 and the month is 8
'
' Note that we lose 1 observation (last of year)
'
smpl if (year=1999)and(month=8)and(bday<21.5)
c=0
equation ebth.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
' Generate the residuals
ebth.makeresid ress10
' Generate the fitted values
ebth.fit lhsfit10
'
' The year is 2000 and the month is 4
'
' Note that we lose 1 observation (first of year)
'
smpl if (year=2000)and(month=4)
c=0
equation ebth.ls lhs=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
' Generate the residuals
ebth.makeresid ress11
' Generate the fitted values
ebth.fit lhsfit11
'
' The year is 2000 and the month is 5
'
smpl if (year=2000)and(month=5)
c=0
equation ebth.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
' Generate the residuals
ebth.makeresid ress12
' Generate the fitted values
ebth.fit lhsfit12
'
' The year is 2000 and the month is 6
'
smpl if (year=2000)and(month=6)
c=0
equation ebth.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
' Generate the residuals
ebth.makeresid ress13
' Generate the fitted values
ebth.fit lhsfit13
'
' The year is 2000 and the month is 7
'
smpl if (year=2000)and(month=7)
c=0
equation ebth.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
' Generate the residuals
ebth.makeresid ress14
' Generate the fitted values
ebth.fit lhsfit14
'
' The year is 2000 and the month is 8
'
' Note that we lose 1 observation (last of year)
'
smpl if (year=2000)and(month=8)and(bday<22.5)
c=0
equation ebth.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
' Generate the residuals
ebth.makeresid ress15
' Generate the fitted values
ebth.fit lhsfit15
'
' The year is 2001 and the month is 4
'
' Note that we lose 1 observation (first of year)
'
smpl if (year=2001)and(month=4)
c=0
equation ebth.ls lhs=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
' Generate the residuals
ebth.makeresid ress16
' Generate the fitted values
ebth.fit lhsfit16
'
' The year is 2001 and the month is 5
'
smpl if (year=2001)and(month=5)
c=0
equation ebth.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
' Generate the residuals
ebth.makeresid ress17
' Generate the fitted values
ebth.fit lhsfit17
'
' The year is 2001 and the month is 6
'
smpl if (year=2001)and(month=6)
c=0
equation ebth.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
' Generate the residuals
ebth.makeresid ress18
' Generate the fitted values
ebth.fit lhsfit18
'
' The year is 2001 and the month is 7
'
smpl if (year=2001)and(month=7)
c=0
equation ebth.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
' Generate the residuals
ebth.makeresid ress19
' Generate the fitted values
ebth.fit lhsfit19
'
' The year is 2001 and the month is 8
'
' Note that we lose 1 observation (last of year)
'
smpl if (year=2001)and(month=8)and(bday<22.5)
c=0
equation ebth.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
' Generate the residuals
ebth.makeresid ress20
' Generate the fitted values
ebth.fit lhsfit20
'
' The year is 2002 and the month is 4
'
' Note that we lose 1 observation (first of year)
'
smpl if (year=2002)and(month=4)
c=0
equation ebth.ls lhs=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
' Generate the residuals
ebth.makeresid ress21
' Generate the fitted values
ebth.fit lhsfit21
'
' The year is 2002 and the month is 5
'
smpl if (year=2002)and(month=5)
c=0
equation ebth.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
' Generate the residuals
ebth.makeresid ress22
' Generate the fitted values
ebth.fit lhsfit22
'
' The year is 2002 and the month is 6
'
smpl if (year=2002)and(month=6)
c=0
equation ebth.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
' Generate the residuals
ebth.makeresid ress23
' Generate the fitted values
ebth.fit lhsfit23
'
' The year is 2002 and the month is 7
'
smpl if (year=2002)and(month=7)
c=0
equation ebth.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
' Generate the residuals
ebth.makeresid ress24
' Generate the fitted values
ebth.fit lhsfit24
'
' The year is 2002 and the month is 8
'
' Note that we lose 1 observation (last of year)
'
smpl if (year=2002)and(month=8)and(bday<21.5)
c=0
equation ebth.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
' Generate the residuals
ebth.makeresid ress25
' Generate the fitted values
ebth.fit lhsfit25
'
' Call the subroutine
'
for !i=1 to 200
 call bootff
 next

show results
